%{?nodejs_find_provides_and_requires}

%global packagename cross-spawn
%global enable_tests 1

Name:		nodejs-cross-spawn
Version:	4.0.0
Release:	2%{?dist}
Summary:	Cross platform child_process#spawn and child_process#spawnSync

License:	MIT
URL:		https://github.com/IndigoUnited/node-cross-spawn.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(expect.js)
BuildRequires:	npm(lru-cache)
BuildRequires:	npm(which)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(rimraf)
%endif

%description
Cross platform child_process#spawn and child_process#spawnSync


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{__nodejs} test/prepare 
NODE_ENV=test %{_bindir}/mocha -R spec --bail test/test
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jul 13 2016 Jared Smith <jsmith@fedoraproject.org> - 4.0.0-1
- Initial packaging
